// UE4 MyProcedural Mesh Generation from the Epic Wiki (https://wiki.unrealengine.com/MyProcedural_Mesh_Generation)

#pragma once

#include "GameFramework/Actor.h"
#include "MyProceduralMeshComponent.h"
#include "MyProceduralCubeActor.generated.h"

/**
 * 
 */
UCLASS()
class MYPROCEDURALMESH_API AMyProceduralCubeActor : public AActor
{
	GENERATED_BODY()

public:
	AMyProceduralCubeActor();

	// Allow viewing/changing the Material ot the MyProcedural Mesh in editor (if placed in a level at construction)
	UPROPERTY(VisibleAnywhere, Category=Materials)
	UMyProceduralMeshComponent* mesh;

	void GenerateCube(const float& InSize, TArray<FMyProceduralMeshTriangle>& OutTriangles);
};
