// UE4 MyProcedural Mesh Generation from the Epic Wiki (https://wiki.unrealengine.com/MyProcedural_Mesh_Generation)

#pragma once

#include "GameFramework/Actor.h"
#include "MyProceduralMeshComponent.h"
#include "MyProceduralTriangleActor.generated.h"

/**
 * 
 */
UCLASS()
class MYPROCEDURALMESH_API AMyProceduralTriangleActor : public AActor
{
	GENERATED_BODY()

public:
	AMyProceduralTriangleActor();

	// Allow viewing/changing the Material ot the MyProcedural Mesh in editor (if placed in a level at construction)
	UPROPERTY(VisibleAnywhere, Category=Materials)
	UMyProceduralMeshComponent* mesh;

	void GenerateTriangle(TArray<FMyProceduralMeshTriangle>& OutTriangles);
};
